Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QDecayChan.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QDecayChan.cc,v 1.28 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QDecayChan ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QEnvironment.cc	(revision 1337)
@@ -28,6 +28,6 @@
 //
 //
-// $Id: G4QEnvironment.cc,v 1.166 2010/06/10 16:09:49 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// $Id: G4QEnvironment.cc,v 1.167 2010/06/19 07:46:44 mkossov Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QEnvironment ----------------
@@ -143,5 +143,5 @@
                   <<", chipoM="<<std::sqrt(chM2)<<" < m1="<<h1M<<"("<<h1QPDG<<") + m2="
                   <<h2M<<"("<<h2QPDG<<") = "<<h1M+h2M<<G4endl;
-            throw G4QException("G4QEnvironment::HadronizeQEnv: LowMassChipolino in Input");
+            throw G4QException("G4QEnvironment::Constructor: LowMassChipolino in Input");
           }
         }
@@ -4138,5 +4138,46 @@
   G4cout<<"G4QE::EvaporateRes:Called for PDG="<<thePDG<<",4M="<<qH->Get4Momentum()<<G4endl;
 #endif
-  if(theS<0)                                 // Antistrange nucleus
+  if(thePDG==10)
+  {
+    G4QContent   chQC=qH->GetQC();         // Quark content of the Hadron-Chipolino
+    G4QChipolino QCh(chQC);                // Define a Chipolino instance for the Hadron
+    G4LorentzVector ch4M=qH->Get4Momentum(); // 4Mom of the Hadron-Chipolino
+    G4QPDGCode h1QPDG=QCh.GetQPDG1();      // QPDG of the first hadron
+    G4double   h1M   =h1QPDG.GetMass();    // Mass of the first hadron
+    G4QPDGCode h2QPDG=QCh.GetQPDG2();      // QPDG of the second hadron
+    G4double   h2M   =h2QPDG.GetMass();    // Mass of the second hadron
+    G4double   chM2  =ch4M.m2();           // Squared Mass of the Chipolino
+    if( sqr(h1M+h2M) < chM2 )              // Decay is possible
+    {
+      G4LorentzVector h14M(0.,0.,0.,h1M);
+      G4LorentzVector h24M(0.,0.,0.,h2M);
+      if(!G4QHadron(ch4M).DecayIn2(h14M,h24M))
+      {
+        G4cerr<<"***G4QE::EvaporateRes: CM="<<std::sqrt(chM2)<<" -> h1="<<h1QPDG<<"("
+              <<h1M<<") + h2="<<h1QPDG<<"("<<h2M<<") = "<<h1M+h2M<<" **Failed**"<<G4endl;
+        throw G4QException("**G4QEnvironment::EvaporateResidual: QChipolino DecIn2 error");
+      }
+      delete qH;                       // Kill the primary Chipolino
+      G4QHadron* h1H = new G4QHadron(h1QPDG.GetPDGCode(),h14M);
+      theQHadrons.push_back(h1H);      // (delete equivalent)
+#ifdef debug
+      G4cout<<"G4QE::EvaporateResidual: Chipolino -> H1="<<h1QPDG<<h14M<<G4endl;
+#endif
+      qH = new G4QHadron(h2QPDG.GetPDGCode(),h24M);
+      theQHadrons.push_back(qH);       // (delete equivalent)
+#ifdef debug
+      G4cout<<"G4QE::EvaporateResidual: Chipolino -> H2="<<h2QPDG<<h24M<<G4endl;
+#endif
+    }
+    else
+    {
+      G4cerr<<"***G4QEnv::EvaporateResid: ChipoMeson="<<qH->GetQC()<<qH->Get4Momentum()
+            <<", chipoM="<<std::sqrt(chM2)<<" < m1="<<h1M<<"("<<h1QPDG<<") + m2="<<h2M
+            <<"("<<h2QPDG<<") = "<<h1M+h2M<<G4endl;
+      throw G4QException("G4QEnvironment::EvaporateResidual: LowMassChipolino in Input");
+    }
+    return;
+  }
+  else if(theS<0)                                 // Antistrange nucleus
   {
 #ifdef debug
@@ -4161,5 +4202,5 @@
           <<",QC="<<qH->GetQC()<<",MPDG="<<G4QPDGCode(thePDG).GetMass()<<G4endl;
 #endif
-    //DecayMeson(qH);                        // @@
+    //DecayMeson(qH);                        // @@ To be written
     theQHadrons.push_back(qH);
     return;
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QException.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QException.cc,v 1.10 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QException ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QHadron.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QHadron.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QHadron.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QHadron.cc,v 1.64 2009/09/02 15:45:19 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QHadron ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QInteraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QInteraction.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QInteraction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QInteraction.cc,v 1.6 2009/08/28 14:49:10 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QIsotope.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QIsotope.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QIsotope.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QIsotope.cc,v 1.16 2010/05/28 15:03:46 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QIsotope class ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QNucleus.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNucleus.cc,v 1.118 2010/06/10 08:37:27 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QNucleus ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPDGCode.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QPDGCode.cc,v 1.65 2010/06/10 08:37:27 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QPDGCode ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParentCluster.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParentCluster.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParentCluster.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParentCluster.cc,v 1.26 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QParentCluster ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParticle.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParticle.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParticle.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParticle.cc,v 1.34 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4QParticle ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParton.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParton.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QParton.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QParton.cc,v 1.9 2009/07/17 16:54:57 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPartonPair.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPartonPair.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QPartonPair.cc	(revision 1337)
@@ -27,5 +27,5 @@
 //
 // $Id: G4QPartonPair.cc,v 1.2 2009/02/23 09:49:24 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QProbability.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QProbability.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QProbability.cc,v 1.3 2009/09/04 16:13:19 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QString.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QString.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4QString.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QString.cc,v 1.17 2009/09/04 14:38:00 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/body/src/G4Quasmon.cc	(revision 1337)
@@ -29,5 +29,5 @@
 //
 // $Id: G4Quasmon.cc,v 1.125 2010/06/10 08:37:27 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //      ---------------- G4Quasmon ----------------
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/History
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/History	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/History	(revision 1337)
@@ -8,12 +8,16 @@
 Summarize all code modifications & keep track of all tags in this file.
 
-****************************************************************************
-*** Geant4 developers can not make changes in this directory or make the ***
-*** History records without permision of M.Kosov: Mikhail.Kossov@cern.ch ***
-****************************************************************************
 
      -----------------------------------------------------------------
      * Please list in reverse chronological order (last date on top) *
      -----------------------------------------------------------------
+
+19-Jun-2010 M.Kosov                             (hadr-chips-V09-03-06)
+-----------------------------------------------------------------------
+Mutual CHIPS tag for the G4-9-4-beta debugging
+
+14-Jun-2010 M.Kosov                             (hadr-chips-cs-V09-03-06)
+------------------------------------------------------------------------
+Bug fix for GetExchangeT in G4QKaonMinusElasticCrossSection (for K0).
 
 8-Jun-2010 M.Kosov                             (hadr-chips-cs-V09-03-05)
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuANuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuANuNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuANuNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuANuNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuENuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuENuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuENuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuENuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuMuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuMuNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QANuMuNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QANuMuNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonElasticCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonPlusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonPlusNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QAntiBaryonPlusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QDiffractionRatio.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QDiffractionRatio.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QDiffractionRatio.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QElectronNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QElectronNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QElectronNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonElasticCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusElasticCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QHyperonPlusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QIonIonCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QIonIonCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QIonIonCrossSection.hh	(revision 1337)
@@ -28,5 +28,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusElasticCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonMinusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusElasticCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonPlusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonZeroNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonZeroNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QKaonZeroNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QMuonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QMuonNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QMuonNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QMuonNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronCaptureRatio.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronCaptureRatio.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronCaptureRatio.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -33,6 +33,5 @@
 //
 // **********************************************************************
-// ****** This HEADER is property of the CHIPS model (M. Kosov) *********
-// ******************** DO NOT MAKE ANY CHANGE! (M.K.) ******************
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 //=======================================================================
 // Short description: (n,gamma) capture is a part of the incoherent
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronElasticCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNeutronNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
@@ -33,6 +33,5 @@
 //
 // **********************************************************************
-// ****** This HEADER is property of the CHIPS model (M. Kosov) *********
-// ******************** DO NOT MAKE ANY CHANGE! (M.K.) ******************
+// This Header is a part of the CHIPS physics package (author: M. Kosov)
 //=========================================================================
 // Short description: CHIPS cross-sections for neutron-nuclear interactions
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuENuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuENuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuENuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuENuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuMuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuMuNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuMuNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuMuNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuNuNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuNuNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QNuNuNuclearCrossSection.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QNuNuNuclearCrossSection.hh,v 1.1 2009/11/16 18:15:42 mkossov Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPhotonNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPhotonNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPhotonNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusElasticCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusElasticCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusElasticCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusNuclearCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusNuclearCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/chiral_inv_phase_space/cross_sections/include/G4QPionMinusNuclearCrossSection.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
